Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(23)

Issue 841773005: Cleanup channel dispatchers (Closed)

Created:
5 years, 9 months ago by Sergey Ulanov
Modified:
5 years, 9 months ago
Reviewers:
rmsousa, Wez
CC:
chromium-reviews, chromoting-reviews_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Cleanup channel dispatchers Now ChannelDispatcherBase handles initialization of reader and writer, which makes all dispatcher classes simpler. ChannelDispatcherBase now can handle writer errors. Also renamed ProtobufMessageReader -> ProtobufMessageParser. Committed: https://crrev.com/203832d43af2d2c0cb92ca2a6ad3e59193c6836d Cr-Commit-Position: refs/heads/master@{#310993}

Patch Set 1 #

Patch Set 2 : #

Total comments: 4

Patch Set 3 : #

Patch Set 4 : #

Unified diffs Side-by-side diffs Delta from patch set Stats (+243 lines, -297 lines) Patch
M remoting/protocol/audio_reader.h View 1 chunk +3 lines, -27 lines 0 comments Download
M remoting/protocol/audio_reader.cc View 1 chunk +4 lines, -20 lines 0 comments Download
M remoting/protocol/audio_writer.h View 1 chunk +0 lines, -5 lines 0 comments Download
M remoting/protocol/audio_writer.cc View 1 chunk +1 line, -7 lines 0 comments Download
M remoting/protocol/channel_dispatcher_base.h View 3 chunks +25 lines, -8 lines 0 comments Download
M remoting/protocol/channel_dispatcher_base.cc View 3 chunks +14 lines, -9 lines 0 comments Download
M remoting/protocol/channel_multiplexer.h View 2 chunks +3 lines, -1 line 0 comments Download
M remoting/protocol/channel_multiplexer.cc View 2 chunks +4 lines, -3 lines 0 comments Download
M remoting/protocol/client_control_dispatcher.h View 3 chunks +2 lines, -7 lines 0 comments Download
M remoting/protocol/client_control_dispatcher.cc View 1 chunk +13 lines, -17 lines 0 comments Download
M remoting/protocol/client_event_dispatcher.h View 1 chunk +0 lines, -6 lines 0 comments Download
M remoting/protocol/client_event_dispatcher.cc View 1 2 3 3 chunks +3 lines, -10 lines 0 comments Download
M remoting/protocol/client_video_dispatcher.h View 2 chunks +2 lines, -9 lines 0 comments Download
M remoting/protocol/client_video_dispatcher.cc View 1 chunk +3 lines, -6 lines 0 comments Download
M remoting/protocol/connection_to_client.h View 1 2 3 2 chunks +7 lines, -4 lines 0 comments Download
M remoting/protocol/connection_to_client.cc View 1 2 3 2 chunks +24 lines, -27 lines 0 comments Download
M remoting/protocol/connection_to_host.h View 1 4 chunks +7 lines, -3 lines 0 comments Download
M remoting/protocol/connection_to_host.cc View 3 chunks +21 lines, -25 lines 0 comments Download
M remoting/protocol/host_control_dispatcher.h View 3 chunks +2 lines, -7 lines 0 comments Download
M remoting/protocol/host_control_dispatcher.cc View 1 chunk +9 lines, -13 lines 0 comments Download
M remoting/protocol/host_event_dispatcher.h View 1 2 3 3 chunks +2 lines, -6 lines 0 comments Download
M remoting/protocol/host_event_dispatcher.cc View 1 2 3 1 chunk +6 lines, -8 lines 0 comments Download
M remoting/protocol/host_video_dispatcher.h View 1 chunk +0 lines, -6 lines 0 comments Download
M remoting/protocol/host_video_dispatcher.cc View 1 chunk +1 line, -6 lines 0 comments Download
M remoting/protocol/message_reader.h View 1 2 3 chunks +5 lines, -46 lines 0 comments Download
M remoting/protocol/message_reader.cc View 2 chunks +14 lines, -8 lines 0 comments Download
M remoting/protocol/message_reader_unittest.cc View 1 chunk +6 lines, -3 lines 0 comments Download
A remoting/protocol/protobuf_message_parser.h View 1 chunk +62 lines, -0 lines 0 comments Download

Messages

Total messages: 15 (4 generated)
Sergey Ulanov
5 years, 9 months ago (2015-01-08 01:22:05 UTC) #2
Wez
nit: CL description has typo ChannelDisparcherBase vs ChannelDispatcherBase On 7 January 2015 at 17:22, <sergeyu@chromium.org> ...
5 years, 9 months ago (2015-01-08 01:39:30 UTC) #3
rmsousa
lgtm lgtm with a few paranoid questions https://codereview.chromium.org/841773005/diff/20001/remoting/protocol/channel_dispatcher_base.cc File remoting/protocol/channel_dispatcher_base.cc (right): https://codereview.chromium.org/841773005/diff/20001/remoting/protocol/channel_dispatcher_base.cc#newcode60 remoting/protocol/channel_dispatcher_base.cc:60: writer_.Init(channel_.get(), base::Bind(&ChannelDispatcherBase::OnWriteFailed, ...
5 years, 9 months ago (2015-01-08 02:22:31 UTC) #4
Wez
The only impact I can see to reading when we wouldn't otherwise have done would ...
5 years, 9 months ago (2015-01-08 02:47:13 UTC) #5
Sergey Ulanov
https://codereview.chromium.org/841773005/diff/20001/remoting/protocol/channel_dispatcher_base.cc File remoting/protocol/channel_dispatcher_base.cc (right): https://codereview.chromium.org/841773005/diff/20001/remoting/protocol/channel_dispatcher_base.cc#newcode60 remoting/protocol/channel_dispatcher_base.cc:60: writer_.Init(channel_.get(), base::Bind(&ChannelDispatcherBase::OnWriteFailed, On 2015/01/08 02:22:31, rmsousa wrote: > This ...
5 years, 9 months ago (2015-01-08 19:20:32 UTC) #6
rmsousa
lgtm
5 years, 9 months ago (2015-01-08 23:08:43 UTC) #7
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/841773005/40001
5 years, 9 months ago (2015-01-10 07:48:21 UTC) #9
commit-bot: I haz the power
Try jobs failed on following builders: android_aosp on tryserver.chromium.linux (http://build.chromium.org/p/tryserver.chromium.linux/builders/android_aosp/builds/47651) android_arm64_dbg_recipe on tryserver.chromium.linux (http://build.chromium.org/p/tryserver.chromium.linux/builders/android_arm64_dbg_recipe/builds/36306) android_chromium_gn_compile_dbg ...
5 years, 9 months ago (2015-01-10 07:51:40 UTC) #11
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/841773005/60001
5 years, 9 months ago (2015-01-10 20:27:07 UTC) #13
commit-bot: I haz the power
Committed patchset #4 (id:60001)
5 years, 9 months ago (2015-01-10 21:44:37 UTC) #14
commit-bot: I haz the power
5 years, 9 months ago (2015-01-10 21:45:27 UTC) #15
Message was sent while issue was closed.
Patchset 4 (id:??) landed as
https://crrev.com/203832d43af2d2c0cb92ca2a6ad3e59193c6836d
Cr-Commit-Position: refs/heads/master@{#310993}

Powered by Google App Engine
This is Rietveld 408576698